from ase.db             import connect
from ase.io import read, write
import os, sys

infile = sys.argv[1]
#with open('basis_path', 'r') as f:
with open(infile, 'r') as f:
   lines = f.readlines()

basis_db = connect('basis.db')
#basis_db = connect('target.db')
for pathi in lines:
   if pathi[0]=='#': continue
   posi = os.path.join(pathi.strip('\n'), 'CONTCAR.vasp')
   #posi = pathi.strip('\n')
   atoms = read(posi, format='vasp')
   basis_db.write(atoms, path = pathi)
   
